# SignatureTree

class dbus_fast.SignatureTree(signature: str = '')

  A class that represents a signature as a tree structure for conveniently working with DBus signatures.

  This class will not normally be used directly by the user.

  Variables:

    - types (list(`SignatureType`)) – A list of parsed complete types.

    - ~.signature (str) – The signature of this signature tree.

    - root_type (:class:`SignatureType) – The root type of this signature tree.

  Raises:

    `InvalidSignatureError` if the given signature is not valid.

  root_type
  signature
  types: list[SignatureType]
  verify(body: list[Any]) → bool

    Verifies that the give body matches this signature tree

    Parameters:

      body (list(Any)) – the body to verify for this tree

    Returns:

      True if the signature matches the body or an exception if not.

    Raises:

      `SignatureBodyMismatchError` if the signature does not match the body.